Skip to content
Permalink
Browse files
fix build to use snapshot gems from oss.sonatype.org
  • Loading branch information
mkristian committed Oct 1, 2014
1 parent 629264d commit 86e4e15a437a96b1216d7f5ca27caf5e1cd8ceaa
Show file tree
Hide file tree
Showing 2 changed files with 3 additions and 15 deletions.
@@ -13,14 +13,6 @@ def initialize( name, pom_version_key, default_gem, ruby_version = nil, only_spe
@only_spec = only_spec
end

def group_id
if name.match( /^jruby-/ ) && pom_version_key.match( /-SNAPSHOT$/ )
'org.jruby.gems'
else
'rubygems'
end
end

def version
if pom_version_key =~ /.version/
"${#{pom_version_key}}"
@@ -37,7 +29,7 @@ def version
# the versions are declared in ../pom.xml
default_gems =
[
ImportedGem.new( 'jruby-openssl', '0.9.6.dev', true ),
ImportedGem.new( 'jruby-openssl', '0.9.6.dev-SNAPSHOT', true ),
ImportedGem.new( 'rake', 'rake.version', true ),
ImportedGem.new( 'rdoc', 'rdoc.version', true, false, true ),
ImportedGem.new( 'json', 'json.version', true, false ),
@@ -93,11 +85,7 @@ def to_pathname

# tell maven to download the respective gem artifacts
default_gems.each do |g|
if g.group_id != 'rubygems'
dependency g.group_id, g.name, g.pom_version_key, :type => :gem
else
gem g.name, g.version
end
gem g.name, g.version
end

# this is not an artifact for maven central
@@ -26,7 +26,7 @@
<dependency>
<groupId>rubygems</groupId>
<artifactId>jruby-openssl</artifactId>
<version>0.9.6.dev</version>
<version>0.9.6.dev-SNAPSHOT</version>
<type>gem</type>
</dependency>
<dependency>

0 comments on commit 86e4e15

Please sign in to comment.